import "./tasks/fastp.wdl" as fastp

workflow {{ project_name }} {
	
	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	
	String fasta
	String idx_prefix
	File screen_ref_dir
	File fastq_screen_conf
    	File idx
	File gtf
	File ref_dir


	scatter (quartet in inputSamples){

		call fastp.fastp as fastp {
		input: 
		sample_id=quartet[2],
		read1=quartet[0], 
		read2=quartet[1]
		}
	}
}